<?php

namespace Test\Renderer;

use App\Page;
use App\Renderer\RendererInterface;
use PHPUnit\Framework\TestCase;
use App\Renderer\XmlRenderer;

class XmlRendererTest extends TestCase
{

    private $xmlRenderer;

    public function setUp(): void
    {
        $this->xmlRenderer = new XmlRenderer();
        parent::setUp(); // TODO: Change the autogenerated stub
    }

    public function testClassExists() : void
    {
        $this->assertInstanceOf(XmlRenderer::class, $this->xmlRenderer);
    }

    public function testInterfaceExists() : void
    {
        $this->assertInstanceOf(RendererInterface::class, $this->xmlRenderer);
    }

    public function testRenderReturnsXml(): void
    {
        $document = new \DOMDocument();
        $root = $document->createElement('page');
        $document->appendChild($root);
        $node = $document->createElement('text');
        $node->nodeValue = 'test';
        $root->appendChild($node);
        $expectedXmlString = $document->saveXml();
        $this->assertEquals($expectedXmlString, $this->xmlRenderer->render('test'));
    }
}